<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<Resource>
	<ID/>
	<Type>Service</Type>
	<Profile>
		<Description>ResourceManager creates and manages a VRE context</Description>
		<Class>VREManagement</Class>
		<Name>ResourceManager</Name>
		<Version>1.0.0</Version>	
		<Packages>
			<Main deployable="true">
				<Description>ResourceManager creates and manages Scopes within a gCube infrastructure</Description>
				<Name>ResourceManager-service</Name>
				<Version>1.1.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.resourcemanagement</groupId>
                    <artifactId>resourcemanager-service</artifactId>
                    <version>1.1.0</version>
                </MavenCoordinates>
				<Mandatory level="VRE"/>
				<Shareable level="NONE"/>
				<GHNRequirements>
					<!-- <Requirement category="MEM_RAM_SIZE" operator="ge" value="1000"/>  -->
				</GHNRequirements>				
				
				<GARArchive>org.gcube.vremanagement.resourcemanager.gar</GARArchive>
				<PortType>
						<Name>gcube/vremanagement/ResourceManager</Name>
						<Security/>			
						
				</PortType>					
			</Main>
			<Software>
				<Description>Stubs for ResourceManager: provide facilities to interact with a ResourceManager instance</Description>
				<Name>ResourceManager-stubs</Name>
				<Version>1.1.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.resourcemanagement</groupId>
                    <artifactId>resourcemanager-stubs</artifactId>
                    <version>1.1.0</version>
                </MavenCoordinates>
				<MultiVersion value="true"/>
				<Mandatory level="GHN"/>
				<Shareable level="VO"/>					
				<Type>library</Type>
				<Files>
					<File>org.gcube.vremanagement.resourcemanager.stubs.jar</File>
				</Files>
			</Software>
			<Software>
				<Description>Test-suite for ResourceManager: provide sample usages of interaction with a ResourceManager instance</Description>
				<Name>ResourceManager-test-suite</Name>
				<Version>1.1.0</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.resourcemanagement</groupId>
                    <artifactId>resourcemanager-test-suite</artifactId>
                    <version>1.1.0</version>
                </MavenCoordinates>
				<MultiVersion value="true"/>				
				<Shareable level="VO"/>		
				<Type>application</Type>
				<Files>
					<File>lib/org.gcube.vremanagement.resourcemanager.testsuite.jar</File>
				</Files>
			</Software>
		</Packages>			
	</Profile>
</Resource>
